Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class PasswordAuthentication

    java.lang.Object
      |
      +--javax.mail.PasswordAuthentication

public final class PasswordAuthentication
extends java.lang.Object

The class PasswordAuthentication is a data holder that is used by Authenticator. It is simply a repository for a user name and a password.

See Also:
  `java.net.PasswordAuthentication`, `Authenticator`, `Authenticator.getPasswordAuthentication()`

Constructor Summary
`PasswordAuthentication(java.lang.String userName, java.lang.String password)` Initialize a new PasswordAuthentication

Method Summary
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUserName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordAuthentication

    public PasswordAuthentication(java.lang.String userName,
                                  java.lang.String password)

  Initialize a new PasswordAuthentication
  Parameters:
    `userName` - the user name
    `password` - The user's password

Method Detail

### getUserName

    public java.lang.String getUserName()

  Returns:
    the user name

### getPassword

    public java.lang.String getPassword()

  Returns:
    the password

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD